body.page-loading {margin: 0; height: 100%; overflow: hidden; }

#loading-bg {
    display: none;
    opacity: 0;
}

.page-loading #loading-bg {
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 255, 0.9);
    display: block;
    position: fixed;
    z-index: 1059;
    opacity: 1;
    transition: all 2s linear;
}
html[data-bs-theme="dark"] #loading-bg {
    background-color: rgba(21, 21, 33, 0.9);
}

.loading-logo {
    position: absolute;
    width: 45px;
    height: 50px;
    left: calc(50% - 20px);
    top: calc(50% - 25px);
}

html[data-bs-theme="dark"] .loading-logo {
    fill: white;
}

.loading {
    position: absolute;
    left: calc(50% - 45px);
    top: calc(50% - 45px);
    width: 90px;
    height: 90px;
    border-radius: 50%;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    border: 3px solid transparent;
}
.loading .effect-1,
.loading .effect-2 {
    position: absolute;
    width: 100%;
    height: 100%;
    border: 3px solid transparent;
    border-left: 3px solid #003d7b;
    border-radius: 50%;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

.loading .effect-1 {
    animation: rotate 1s ease infinite;
}
.loading .effect-2 {
    animation: rotateOpacity 1s ease infinite 0.1s;
}
.loading .effect-3 {
    position: absolute;
    width: 100%;
    height: 100%;
    border: 3px solid transparent;
    border-left: 3px solid #003d7b;
    -webkit-animation: rotateOpacity 1s ease infinite 0.2s;
    animation: rotateOpacity 1s ease infinite 0.2s;
    border-radius: 50%;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

.loading .effects {
    transition: all 0.3s ease;
}

@keyframes rotate {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(1turn);
        transform: rotate(1turn);
    }
}
@keyframes rotateOpacity {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
        opacity: 0.1;
    }
    100% {
        -webkit-transform: rotate(1turn);
        transform: rotate(1turn);
        opacity: 1;
    }
}
